%define major 	2
%define real_name lrdf 
%define libname %mklibname %real_name %major
%define develname %mklibname %real_name -d

Name: 		liblrdf
Summary: 	Library for handling RDF descriptions of audio plugins
Version: 	0.5.0
Release: 	%mkrel 7

Source:		%{name}-%{version}.tar.gz
Patch1:		liblrdf-0.5.0-automake-1.13.patch
URL:		https://github.com/swh/LRDF
License:	GPL
Group:		System/Libraries
BuildRequires:	pkgconfig(raptor2) >= 2.0.0
BuildRequires:	openssl-devel

%description
liblrdf is a library for handling RDF (http://www.w3.org/RDF/)
descriptions of LADSPA (and potentially other format) plugins.

It allows grouping of plugins into trees for user slection and finer
description of plugins and ports than the .so format allows (for example
to indicatate textual equivalents of integer port values). It also
provides named and described defaults and presets, metadata and general
semnatic goodness. 

%package -n %{libname}
Summary: Main library for %name
Group: System/Libraries
Provides: %{name} = %{version}-%{release}
Requires: %{name}-common >= %{version}

%description -n %{libname}
liblrdf is a library for handling RDF (http://www.w3.org/RDF/)
descriptions of LADSPA (and potentially other format) plugins.

It allows grouping of plugins into trees for user slection and finer
description of plugins and ports than the .so format allows (for example
to indicatate textual equivalents of integer port values). It also
provides named and described defaults and presets, metadata and general
semnatic goodness. 

%package common
Summary: File used by %name
Group: System/Libraries
Obsoletes: %{_lib}lrdf2-common < 0.5.0

%description common
This packages contains various files required by %name.


%package -n %{develname}
Summary: Headers for developing programs that will use %name
Group: Development/C++
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}lrdf2-devel < 0.5.0

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -qn swh-LRDF-7ebc032
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files common
%{_datadir}/ladspa/rdf

%files -n %{develname}
%doc AUTHORS COPYING ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Feb 02 2016 umeabot <umeabot> 0.5.0-7.mga6
+ Revision: 931363
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-6.mga5
+ Revision: 746878
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-5.mga5
+ Revision: 681581
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-4.mga4
+ Revision: 507178
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5.0-3.mga3
+ Revision: 357718
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 0.5.0-2.mga3
+ Revision: 341477
- patch1: fix build with automake 1.13

* Thu Nov 03 2011 fwang <fwang> 0.5.0-1.mga2
+ Revision: 162021
- rename common package
- new version 0.5.0

* Thu Mar 24 2011 boklm <boklm> 0.4.0-10.mga1
+ Revision: 76176
- rebuild for bug #497

* Thu Mar 10 2011 ennael <ennael> 0.4.0-9.mga1
+ Revision: 67578
- clean spec file
- imported package liblrdf


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-9mdv2011.0
+ Revision: 602571
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-8mdv2010.1
+ Revision: 520881
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.4.0-7mdv2010.0
+ Revision: 425593
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.4.0-6mdv2009.0
+ Revision: 222923
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-5mdv2008.1
+ Revision: 178964
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Jan 16 2007 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2007-01-16 13:43:36 (109479)
- Rebuild against new curl
- Import liblrdf

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-2mdk
- rebuilt against openssl-0.9.8a

* Thu Aug 25 2005 Austin Acton <austin@mandriva.org> 0.4.0-1mdk
- 0.4.0
- new URL's

* Tue Jul 20 2004 Austin Acton <austin@mandrake.org> 0.3.7-1mdk
- 0.3.7

* Sat Jul 03 2004 Michael Scherer <misc@mandrake.org> 0.3.5-2mdk 
- rebuild for new libcurl
- remove libtool hack

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.3.5-1mdk
- 0.3.5
- major 2

